<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"

    android:layout_height="match_parent">



    <ScrollView
        app:layout_constraintTop_toBottomOf="@id/searchInput"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="0dp"
        android:layout_margin="10dp"
        android:layout_height="0dp">
        <androidx.constraintlayout.widget.ConstraintLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:id="@+id/title_apps"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                android:text="앱 검색"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <TextView
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:id="@+id/appsCount"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                android:text="앱 검색"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <androidx.recyclerview.widget.RecyclerView

                app:layout_constraintTop_toBottomOf="@id/title_apps"
                android:id="@+id/appsList"
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:background="@android:color/transparent"
                android:overScrollMode="never"
                android:requiresFadingEdge="horizontal"
                android:scrollbars="none"
                />

            <TextView
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:id="@+id/title_webs"
                app:layout_constraintTop_toBottomOf="@id/appsList"
                app:layout_constraintLeft_toLeftOf="parent"
                android:text="빠른 검색"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <LinearLayout
                android:id="@+id/quickSearch"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/title_webs"
                android:layout_width="match_parent"
                android:layout_height="50dp">
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/google"
                    android:id="@+id/search_google"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/naver"
                    android:id="@+id/search_naver"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/duckduckgo"
                    android:id="@+id/search_duckduckgo"/>
                <bums.lunatic.launcher.view.CircleImageView
                    android:src="@drawable/namuwiki"
                    android:id="@+id/search_namuwiki"
                    style="@style/SearchIcons"/>
                <bums.lunatic.launcher.view.CircleImageView
                    android:src="@drawable/youtube"
                    android:id="@+id/search_youtube"
                    style="@style/SearchIcons"/>
            </LinearLayout>
            <LinearLayout
                android:id="@+id/quickSearch2"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/quickSearch"
                android:layout_width="match_parent"
                android:layout_height="50dp">
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/gmap"
                    android:id="@+id/search_googleMap"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/navermap"
                    android:id="@+id/search_nmap"/>
                <bums.lunatic.launcher.view.CircleImageView
                    android:src="@drawable/tmap"
                    style="@style/SearchIcons"
                    android:id="@+id/search_tmap"/>
                <bums.lunatic.launcher.view.CircleImageView
                    android:src="@drawable/translate"
                    style="@style/SearchIcons"
                    android:id="@+id/search_translate"/>
                <bums.lunatic.launcher.view.CircleImageView
                    android:src="@drawable/playstore"
                    style="@style/SearchIcons"
                    android:id="@+id/search_store"/>
            </LinearLayout>

            <TextView
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:id="@+id/title_contact"
                app:layout_constraintTop_toBottomOf="@id/quickSearch2"
                app:layout_constraintLeft_toLeftOf="parent"
                android:text="연락처"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <androidx.recyclerview.widget.RecyclerView
                app:layout_constraintTop_toBottomOf="@id/title_contact"
                android:id="@+id/contactList"
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:background="@android:color/transparent"
                android:overScrollMode="never"
                android:requiresFadingEdge="horizontal"
                android:scrollbars="none"/>
            <TextView
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:id="@+id/title_run"
                app:layout_constraintTop_toBottomOf="@id/contactList"
                app:layout_constraintLeft_toLeftOf="parent"
                android:text="빠른 실행"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <LinearLayout
                android:id="@+id/quickRun"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/title_run"
                android:layout_width="match_parent"
                android:layout_height="50dp">
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/send"
                    android:id="@+id/run_send"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/telegram"
                    android:id="@+id/run_telegram"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    android:src="@drawable/katalk"
                    android:id="@+id/run_katalk"/>
                <bums.lunatic.launcher.view.CircleImageView
                    style="@style/SearchIcons"
                    app:civ_label="카카오 택시"
                    android:src="@drawable/kakaot"
                    android:id="@+id/run_katalkT"/>
                <!--                <rasel.lunar.launcher.view.CircleImageView-->
                <!--                    style="@style/SearchIcons"-->
                <!--                    android:src="@drawable/navermap"-->
                <!--                    android:id="@+id/search_nmap"/>-->
                <!--                <rasel.lunar.launcher.view.CircleImageView-->
                <!--                    android:src="@drawable/tmap"-->
                <!--                    style="@style/SearchIcons"-->
                <!--                    android:id="@+id/search_tmap"/>-->
                <!--                <rasel.lunar.launcher.view.CircleImageView-->
                <!--                    android:src="@drawable/translate"-->
                <!--                    style="@style/SearchIcons"-->
                <!--                    android:id="@+id/search_translate"/>-->
                <!--                <rasel.lunar.launcher.view.CircleImageView-->
                <!--                    android:src="@drawable/playstore"-->
                <!--                    style="@style/SearchIcons"-->
                <!--                    android:id="@+id/search_store"/>-->
            </LinearLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

    <androidx.appcompat.widget.AppCompatImageButton
        android:id="@+id/reset"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/rounded_bg"
        android:padding="@dimen/eight"
        android:layout_margin="5dp"
        app:layout_constraintBottom_toBottomOf="@id/searchInput"
        app:layout_constraintRight_toRightOf="@id/searchInput"
        app:layout_constraintTop_toTopOf="@id/searchInput"
        app:srcCompat="@drawable/ic_refresh" />

    <com.google.android.material.textfield.TextInputEditText
        android:background="@drawable/base_bg"
        android:layout_margin="10dp"
        android:id="@+id/searchInput"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:gravity="center"
        android:imeOptions="actionSearch"
        android:singleLine="true"
        android:visibility="visible"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"/>

</androidx.constraintlayout.widget.ConstraintLayout>
